curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v2/payment/payout/{payout_id} \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v2/payment/payout/{payout_id}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v2/payment/payout/{payout_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v2/payment/payout/{payout_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v2/payment/payout/{payout_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v2/payment/payout/{payout_id}")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v2/payment/payout/{payout_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"payout_id": "PO2097897064066191360",
"payout_currency": "SGD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "CST contract test",
"statement_descriptor": "Sandbox payout",
"payout_status": "INITIATED",
"create_time": "2026-09-10T11:56:51+08:00",
"completed_time": ""
}Retrieve Payout
Check the progress of a payout from your acquiring balance. Provide its payout_id to retrieve the current payout_status and payout amounts.
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v2/payment/payout/{payout_id} \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v2/payment/payout/{payout_id}"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v2/payment/payout/{payout_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.uqpaytech.com/api/v2/payment/payout/{payout_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-auth-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.uqpaytech.com/api/v2/payment/payout/{payout_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-auth-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.uqpaytech.com/api/v2/payment/payout/{payout_id}")
.header("x-auth-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.uqpaytech.com/api/v2/payment/payout/{payout_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-auth-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"payout_id": "PO2097897064066191360",
"payout_currency": "SGD",
"payout_amount": "1",
"payout_fee": "0",
"debited_amount": "1",
"transfer_amount": "1",
"internal_note": "CST contract test",
"statement_descriptor": "Sandbox payout",
"payout_status": "INITIATED",
"create_time": "2026-09-10T11:56:51+08:00",
"completed_time": ""
}Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Path Parameters
Payout order ID
"PO1234567890123456789"
Response
Payout retrieved successfully
Payout UUID
"PO1968582687224500224"
Three-letter currency code
"SGD"
The payout amount submitted in the request.
"100.00"
The fee charged for the payout, denominated in payout_currency.
The total amount debited from your balance.
- Fee deducted from the payout:
debited_amount = payout_amount - Fee charged separately:
debited_amount = payout_amount + payout_fee
The amount sent to the downstream payout provider.
- Fee deducted from the payout:
transfer_amount = payout_amount - payout_fee - Fee charged separately:
transfer_amount = payout_amount
Payout reference information displayed to the recipient's bank
15"UQPAY PAYOUT"
Payout status enumeration.
INITIATED: Payout has been initiated.PROCESSING: Payout is being processed (bank is processing).COMPLETED: Payout completed successfully.FAILED: Payout failed.FAILED_REFUNDED: Payout failed and funds have been refunded.
INITIATED, PROCESSING, COMPLETED, FAILED, FAILED_REFUNDED "INITIATED"
Payout creation time
"2025-09-18T15:47:41+08:00"
Payout remark information
"Payment to supplier"
Payout completion time. An empty string means no completion time is available.
""

